#include <bits/stdc++.h>

using namespace std;


int main()
{   int n,k,a,p;
    cin>>n>>k;
    cin>>p;
    a=p;
    for(int i=1;i<n;i++)
    {
        if(a==k)
        {
            cin>>a;
            cout << a << endl;
        }
        else
            cin>>a;
    }
    if(a==k)
        cout << p << endl;
    return 0;
}